stages:
  - build

build:
  stage: build
  only:
    - main
  tags:
    - multitechosp-docker-build
  script:
    - docker login -u $GITLAB_CI_USER -p $GITLAB_CI_TOKEN registry.gitlab.com
    - docker build --pull -t registry.gitlab.com/multitech-osp/dockerfiles/php/8.1-fpm-alpine-nginx .
    - docker push registry.gitlab.com/multitech-osp/dockerfiles/php/8.1-fpm-alpine-nginx